Get banks list
GET
https://bank.dattaremit.com/api/banksRequires a bank-scoped key.
Retrieves a listing of bank. Records are sorted by creation date in descending order.
Required scope: banks:read
Query Params
pageintegerThe page index to retrieve.
per_pageintegerThe number of entities per page to return.
typestringComma separated types to list banks for.
guidstringComma separated bank_guids to list banks for.
Responses
200get list of banks
401Unauthorized - invalid subject, Authentication failed
403Invalid scope
Request
curl https://api.dattaremit.com/api/banks \
-H "Authorization: Bearer sk_test_YOUR_KEY"Response
get list of banks
{
"total": 1,
"page": 1,
"per_page": 1,
"objects": [
{
"guid": "string",
"organization_guid": "string",
"name": "string",
"type": "string",
"supported_trading_symbols": [
"string"
],
"supported_payout_symbols": [
{
"symbol": "string",
"country_code": "string",
"participants_type": "string",
"route": "string"
}
],
"supported_fiat_account_assets": [
"string"
],
"supported_country_codes": [
"string"
],
"features": [
"string"
],
"cors_allowed_origins": [
"string"
],
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z"
}
]
}